summarylogtreecommitdiffstats
path: root/groff-git.install
diff options
context:
space:
mode:
authorP. A. López-Valencia2015-06-11 21:31:42 -0500
committerP. A. López-Valencia2015-06-11 21:31:42 -0500
commitcdb6d100ad25aa126c673a6bbcdc5de0a347b90c (patch)
tree5e0385f322b7d7b6de56cb0ee9291233f1465fdd /groff-git.install
downloadaur-cdb6d100ad25aa126c673a6bbcdc5de0a347b90c.tar.gz
groff-git 1.22.3.r2775-1
Diffstat (limited to 'groff-git.install')
-rw-r--r--groff-git.install22
1 files changed, 22 insertions, 0 deletions
diff --git a/groff-git.install b/groff-git.install
new file mode 100644
index 00000000000..5098fd7b595
--- /dev/null
+++ b/groff-git.install
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(groff.info groff.info-1 groff.info-2)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et: